Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666278 - lxqt-base/lxqt-panel-0.13.0: fatal error: lxqt-globalkeys.h: No such file or directory
Summary: lxqt-base/lxqt-panel-0.13.0: fatal error: lxqt-globalkeys.h: No such file or ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: lxqt-0.13.0-stable
  Show dependency tree
 
Reported: 2018-09-15 13:11 UTC by Chiitoo
Modified: 2018-10-15 22:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
lxqt-base:lxqt-panel-0.13.0:20180915-123925.log (lxqt-base:lxqt-panel-0.13.0:20180915-123925.log,63.98 KB, text/x-log)
2018-09-15 13:13 UTC, Chiitoo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chiitoo gentoo-dev 2018-09-15 13:11:57 UTC
In preparation for getting 0.13.0 stable, I was testing builds with all USE-flags on and off for 'lxqt-meta' and 'lxqt-panel', which have the bulk of them (did not test all the possible combinations).

With all off on 'lxqt-panel', I noticed that it does not build with USE="-desktopswitch".  Testing further, disabling only that does not lead to the failure, however.

Going with USE="-desktopswitch -mainmenu -showdesktop -taskbar" seems to do the trick.

The issue seems to come from 'lxqttaskbar.h' being included, which then includes 'lxqt-globalkeys.h', which is dropped from the libs due to the configuration.

(The log will show distcc and ccache enabled, but I did remember to make sure to check that those are not playing a part in this.)
Comment 1 Chiitoo gentoo-dev 2018-09-15 13:13:09 UTC
Created attachment 546988 [details]
lxqt-base:lxqt-panel-0.13.0:20180915-123925.log

Portage 2.3.40 (python 2.7.15-final-0, default/linux/amd64/17.1, gcc-7.3.0, glibc-2.26-r7, 4.14.65-gentoo x86_64)
=================================================================
System uname: Linux-4.14.65-gentoo-x86_64-AMD_Athlon-tm-_7750_Dual-Core_Processor-with-gentoo-2.4.1
KiB Mem:     3528080 total,   2333104 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Fri, 14 Sep 2018 13:30:01 +0000
Head commit of repository gentoo: 4346990b14a91f06de4b5d8dedb2d10b56ea5d3e
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.3.4 [enabled]
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

qt
    location: /var/lib/layman/qt
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/proj/qt.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -mindirect-branch=thunk -march=amdfam10"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -mindirect-branch=thunk -march=amdfam10"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--tree --verbose --verbose-conflicts --autounmask=n"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg ccache config-protect-if-modified distcc distcc-pump distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK="/etc/systemd /lib/systemd /lib32/systemd /lib64/systemd/ /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j32 -l2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X alsa amd64 berkdb bzip2 cli crypt cups cxx dri dvd ffmpeg fortran gdbm iconv libtirpc modules multilib ncurses nls nptl openmp pcre readline seccomp ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Jonathan Scruggs (RETIRED) gentoo-dev 2018-09-25 11:46:12 UTC
Might be an error in the build system not disabling the correct modules if a certain one is correct.

To work around this temporarily, we could do a required use for the correct use flags? Is it desktopswitch needing mainmenu showdesktop and taskbar? or is there a smaller set that will work?
Comment 3 Chiitoo gentoo-dev 2018-09-26 17:53:57 UTC
Yeah, I was thinking that to be an acceptable workaround for the time being.

It seems I was a little unclear: it's that at least /one of/ desktopswitch, mainmenu, showdesktop, or taskbar needs to be enabled for a successful build.
Comment 4 Andreas Sturmlechner gentoo-dev 2018-10-02 19:03:02 UTC
Sounds like a REQUIRED_USE="|| ( ... )" and one default-enabled USE flag is all you need, right?
Comment 5 Chiitoo gentoo-dev 2018-10-02 19:35:58 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Sounds like a REQUIRED_USE="|| ( ... )" and one default-enabled USE flag is
> all you need, right?

I imagine something like that should do, yeah.

It should be unlikely, in my mind at least, for anyone to be too upset if 'mainmenu' or 'taskbar' was required.  :]
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-10-10 13:18:04 UTC
(In reply to Chiitoo from comment #5)
> (In reply to Andreas Sturmlechner from comment #4)
> > Sounds like a REQUIRED_USE="|| ( ... )" and one default-enabled USE flag is
> > all you need, right?
> 
> I imagine something like that should do, yeah.
> 
> It should be unlikely, in my mind at least, for anyone to be too upset if
> 'mainmenu' or 'taskbar' was required.  :]

Any news on this? It blocks the whole gaint stabilization tree, which is not really nice :(
Comment 7 Chiitoo gentoo-dev 2018-10-12 11:12:52 UTC
(In reply to Mikle Kolyada from comment #6)
> (In reply to Chiitoo from comment #5)
> > (In reply to Andreas Sturmlechner from comment #4)
> > > Sounds like a REQUIRED_USE="|| ( ... )" and one default-enabled USE flag is
> > > all you need, right?
> > 
> > I imagine something like that should do, yeah.
> > 
> > It should be unlikely, in my mind at least, for anyone to be too upset if
> > 'mainmenu' or 'taskbar' was required.  :]
> 
> Any news on this? It blocks the whole gaint stabilization tree, which is not
> really nice :(

I'll push a pull request for the change if dracwyrm won't have the time for this within the next few days.
Comment 8 Larry the Git Cow gentoo-dev 2018-10-15 22:08:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=519a55e89cc99e4e419b9535615410af9e30ec62

commit 519a55e89cc99e4e419b9535615410af9e30ec62
Author:     Jimi Huotari <chiitoo@gentoo.org>
AuthorDate: 2018-10-15 21:00:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-10-15 22:07:40 +0000

    lxqt-base/lxqt-panel: fix build issue related to disabled plugins
    
    Require at least one of 'desktopswitch', 'mainmenu', 'showdesktop',
    or 'taskbar', to avoid a build failure.
    
    Closes: https://bugs.gentoo.org/666278
    Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11
    Closes: https://github.com/gentoo/gentoo/pull/10152
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)